package com.zhilian.online.domain.req;

import lombok.*;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online.domain.req
 * @Author: LiYuan
 * @CreateTime: 2024-04-16  20:23
 * @Description: 阿里openAPI创建实例请求
 * @Version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
@Builder
public class EcsCreateReq {


    /**
     * 磁盘大小
     */
    private String systemDiskSize;

    /**
     * 磁盘类型
     */
    private String systemDickCategory;

    /**
     * 地域ID
     */
    private String regionId;

    /**
     * 镜像ID
     */
    private String imageId;

    /**
     * 实例规格
     */
    private String instanceType;

    /**
     * 安全组ID
     */
    private String securityGroupId;

    /**
     * 专有网络ID
     */
    private String vSwitchId;


    /**
     * 实例名称
     */
    private String instanceName;

    /**
     * 公网入网流量大小
     */
    private Integer internetMaxBandwidthIn;

    /**
     * 公网出网流量大小
     */
    private Integer internetMaxBandwidthOut;

    /**
     * 唯一后缀
     */
    private Boolean uniqueSuffix;

    /**
     * 密码
     */
    private String password;

    /**
     * 专有网络ID
     */
    private String zoneId;

    /**
     * 网络计费类型
     */
    private String internetChargeType;

    /**
     * 购买数量
     */
    private Integer amount;

    /**
     * 最小购买数量
     */
    private Integer minAmount;

    /**
     * 购买时长单位
     */
    private String periodUnit;

    /**
     * 购买时长
     */
    private Integer period;

    /**
     * 实例付费类型
     */
    private String instanceChargeType;

    /**
     * 私网IP
     */
    private String privateIpAddress;


}
