package com.zhilian.online.load.abs;

import com.zhilian.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online.load.abs
 * @Author: LiYuan
 * @CreateTime: 2024-04-18  19:09
 * @Description: 网关负载均衡缓存抽象类
 * @Version: 1.0
 */
public abstract class GatewayCacheAbs<K> {

    @Autowired
    public RedisService redisService;

    public abstract String getPre();

    public String encode(K key) {
        return getPre() + key;
    }

}
