package com.zhilian.online.load.cache;

import com.zhilian.online.load.abs.GatewayCacheAbs;
import org.springframework.stereotype.Component;

/**
 * @BelongsProject: smart-cloud-server
 * @BelongsPackage: com.zhilian.online.load.cache
 * @Author: LiYuan
 * @CreateTime: 2024-04-18  19:58
 * @Description: 车辆连接数据
 * @Version: 1.0
 */
@Component
public class GatewayVehicleNodeCaChe extends GatewayCacheAbs<String> {


    @Override
    public String getPre() {
        return "gateway:car:";
    }

    /**
     * @description: 存放车辆数据
     * @author: LiYuan
     * @param: String vin, String nodeId
     * @return:
     **/
    public void put(String vin, String nodeId) {
        redisService.setCacheObject(encode(vin),nodeId);
    }


    /**
     * @description:删除车辆数据
     * @author: LiYuan
     * @param:  String vin
     * @return:
     **/
    public void remove(String vin){
        redisService.deleteObject(encode(vin));
    }

    /**
     * @description: 获取车辆连接数据
     * @author: LiYuan
     * @param: String vin
     * @return:
     **/
    public String get(String vin){
        return redisService.getCacheObject(encode(vin));
    }


}
